from _typeshed import Incomplete

class Terminal:
    FNKEYS: Incomplete
    IS_MSWIN: Incomplete
    def __init__(self) -> None: ...
    def init(self, fullterm: bool) -> None: ...
    def reset(self) -> None: ...
    @staticmethod
    def is_term() -> bool: ...
    @staticmethod
    def is_colorterm() -> bool: ...
    @classmethod
    def getkey(cls) -> bytes: ...
    @classmethod
    def getch_to_escape(cls, char: bytes) -> bytes: ...
